#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EProfileCustomizationStyle {
    Default = 0,
    Selected = 1,
    Rarest = 2,
    MostRecent = 3,
    Random = 4,
    HighestRated = 5,
}

impl EProfileCustomizationStyle {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Default as i32 => Some(Self::Default),
            x if x == Self::Selected as i32 => Some(Self::Selected),
            x if x == Self::Rarest as i32 => Some(Self::Rarest),
            x if x == Self::MostRecent as i32 => Some(Self::MostRecent),
            x if x == Self::Random as i32 => Some(Self::Random),
            x if x == Self::HighestRated as i32 => Some(Self::HighestRated),
            _ => None,
        }
    }
}
